#include <bits/stdc++.h>
using namespace std;
int n, m, d[200005], u[200005], l, r, x, br;
int main(){
    cin >> n >> m;
    for(int i=1; i<=n; i++){
        cin >> d[i] >> u[i];
    }
    for(int i=1; i<=m; i++){
        cin >> l >> r >> x;
        for(int j=l; j<=r; j++){
            if(x>=d[j] and x<=u[j]){br++;}
        }
        cout << br << endl;
        br=0;
    }
    return 0;
}